import jcontrol.ui.vole.Frame;
import jcontrol.ui.vole.menu.TextMenu;

/**
 * <p>This example demonstrates how to use the
 * component TextMenu within the GUI framework
 * JControl/Vole.</p>
 *
 * <p>(C) DOMOLOGIC Home Automation GmbH 2003-2005</p>
 */
public class VoleTextMenuExample extends Frame {
  
  /**
   * Create and show a TextMenu.
   */
  public VoleTextMenuExample() {

    // create the MenuBar 
    TextMenu menu = new TextMenu(0, 0, 50, 64);
    
    // add some menu items
    menu.addMenuItem("Red");
    menu.addMenuItem("Green");
    menu.addMenuItem("White");
    menu.addMenuItem("Blue");
    menu.addMenuItem("Cyan");
    menu.addMenuItem("Black");
    menu.addMenuItem("Gray");
    menu.addMenuItem("Orange");
    menu.addMenuItem("Lime");
    menu.addMenuItem("Yellow");
    menu.addMenuItem("Brown");
    
    // add the menu bar to the Frame
    this.setMenu(menu);
    
    // disable a menu item
    menu.enableMenuItem("White", false);

    // show the frame    
    setVisible(true);    
  }

  /**
   * Instantiate the VoleMenuBarExample
   */
  public static void main(String[] args) {
    new VoleTextMenuExample();    
  }
}
